---
title: Validate an ABN
slug: api/validate-an-abn
docTags: 
createdAt: 2025-06-24T08:27:01.570Z
---

{
  "id": "AD7jrgA530MAV3f-e_o_k",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.mpay.com.au/tools/v1/abnValidate/{abnNumber}",
    "servers": [
      {
        "url": "https://api.mpay.com.au/tools/v1/abnValidate/{abnNumber}",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/tools/v1/abnValidate/{abnNumber}",
        "description": "Sandbox URL"
      }
    ],
    "name": "Validate an ABN",
    "description": "<p>The purpose of this API is to validate that an ABN (Australian Business Number) is correct and determine if it's valid.  This API makes a call to the Australian Business Registry returning current details about the company. \n\nAn ABN is defined as a string of eleven numeric digits.Spaces are allowed but no other characters.\n\nIf the resulting status property contains 'Ok' then examine the property isAbnValid.  The property isCharity will be true if the entity is an active registered charity.  \n\nA list of codes and more information is available at <a href=\"http://abr.business.gov.au/Documentation/ReferenceData\" target=\"_blank\">http://abr.business.gov.au/Documentation/ReferenceData</a></p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "abnNumber",
          "type": "string",
          "description": "<p>ABN (Australian Business Number).</p>"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "successful validation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "toolsAbnValidateResponse_V1",
            "schema": [
              {
                "name": "entityTypeCode",
                "kind": "optional",
                "type": "string",
                "description": "The abbreviation of the type of business entity.",
                "example": ""
              },
              {
                "name": "isCharity",
                "kind": "optional",
                "type": "boolean",
                "description": "If true, indicates the identity is a registered charity.",
                "example": ""
              },
              {
                "name": "businessPhysicalAddressStateCode",
                "kind": "optional",
                "type": "string",
                "description": "The state code of the business physical address eg. NSW.",
                "example": ""
              },
              {
                "name": "abn",
                "kind": "optional",
                "type": "string",
                "description": "The Australian Business Number that was passed as a parameter formatted as 99 999 999 999.",
                "example": ""
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 0
              },
              {
                "name": "entityTypeDescription",
                "kind": "optional",
                "type": "string",
                "description": "A description the type of business entity.",
                "example": ""
              },
              {
                "name": "businessPhysicalAddressEffectiveFromDate",
                "kind": "optional",
                "type": "string",
                "description": "The date the business physical address was last updated.",
                "example": ""
              },
              {
                "name": "businessPhysicalAddressPostCode",
                "kind": "optional",
                "type": "string",
                "description": "The post code of the business physical address.",
                "example": ""
              },
              {
                "name": "legalName",
                "kind": "optional",
                "type": "string",
                "description": "If business is a Sole Trader, contains the persons name.",
                "example": ""
              },
              {
                "name": "lastUpdatedDate",
                "kind": "optional",
                "type": "string",
                "description": "The date the ABN record was last updated.",
                "example": ""
              },
              {
                "name": "organisationNameFromDate",
                "kind": "optional",
                "type": "string",
                "description": "The date the organisationName was last updated.",
                "example": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code of 'Ok' indicates no errors.",
                "example": ""
              },
              {
                "name": "isAbnValid",
                "kind": "optional",
                "type": "boolean",
                "description": "If true, indicates the identity has a valid ABN.",
                "example": ""
              },
              {
                "name": "organisationName",
                "kind": "optional",
                "type": "string",
                "description": "The current name of the business entity.",
                "example": ""
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "This is a description of the status. If an 'Ok' status is returned, then this will be 'Operation completed successfully'.",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/toolsAbnValidateResponse_V1",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Ieq_Oryr0LYtBRq_O-tRn",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.mpay.com.au/tools/v1/abnValidate/{abnNumber} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "0YRvOUS5PK-j8SEeyYLu6",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/tools/v1/abnValidate/{abnNumber}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Bn1w4muxji3JjH3qAlnxa",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/tools/v1/abnValidate/{abnNumber}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "JW3qXN-OT4iX_dhG0ph9y",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/tools/v1/abnValidate/{abnNumber}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Ieq_Oryr0LYtBRq_O-tRn"
    },
    "results": {
      "languages": [
        {
          "id": "jlrsT5hxhoQGmRUfSZCfZ",
          "language": "200",
          "code": "// successful validation\n{\n  \"entityTypeCode\": \"\",\n  \"isCharity\": false,\n  \"businessPhysicalAddressStateCode\": \"\",\n  \"abn\": \"\",\n  \"durationMs\": \"\",\n  \"entityTypeDescription\": \"\",\n  \"businessPhysicalAddressEffectiveFromDate\": \"\",\n  \"businessPhysicalAddressPostCode\": \"\",\n  \"legalName\": \"\",\n  \"lastUpdatedDate\": \"\",\n  \"organisationNameFromDate\": \"\",\n  \"status\": \"\",\n  \"isAbnValid\": false,\n  \"organisationName\": \"\",\n  \"statusDescription\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "jlrsT5hxhoQGmRUfSZCfZ"
    }
  },
  "children": [
    {
      "id": "A3ijbMWGZSpiFvZ5hVYbP",
      "type": "paragraph",
      "children": [
        {
          "text": "The purpose of this API is to validate that an ABN (Australian Business Number) is correct and determine if it's valid.  This API makes a call to the Australian Business Registry returning current details about the company. "
        },
        {
          "text": ""
        },
        {
          "text": ""
        },
        {
          "text": "An ABN is defined as a string of eleven numeric digits.Spaces are allowed but no other characters."
        },
        {
          "text": ""
        },
        {
          "text": ""
        },
        {
          "text": "If the resulting status property contains 'Ok' then examine the property isAbnValid.  The property isCharity will be true if the entity is an active registered charity.  "
        },
        {
          "text": ""
        },
        {
          "text": ""
        },
        {
          "text": "A list of codes and more information is available at "
        },
        {
          "id": "uVu22sEtvsCAMctbcZW5p",
          "type": "link",
          "data": {
            "href": "http://abr.business.gov.au/Documentation/ReferenceData"
          },
          "children": [
            {
              "text": "http://abr.business.gov.au/Documentation/ReferenceData"
            }
          ]
        }
      ]
    }
  ]
}